function  buildnet(selected,all)
global pf
% selected is a cell array of selected proximity names
% all is a cell array of all proximity names

if isempty(selected) % none selected do all
    selected = all;
end

q = pf.q;
if contains(q, 'n')
    q = Inf;
else
    q = str2double(q);
end
r = pf.r;

for k = 1:numel(selected)
    tempq = nan;
    tempr = nan;
    how.q = nan;
    how.r = nan;
    dat = selected{k};
    prx = pf.prx.(dat);
    how.method = pf.pref.method;
    switch lower(pf.pref.method(1))
        case 'n'
            how.nneighbors = 1;
            suffix = '_nn';
        case 't'
            how.threshn = prx.nnodes * pf.pref.nthr;
            suffix = ['_th' num2str(how.threshn)];
       case 'p'
            suffix = '';
            how.q = q;
            tempq = q;
            how.r = r;
            tempr = r;
        case 'm'
            suffix = '_mrg';
            
    end
    pfname = makepfname([dat suffix],tempq,tempr);
    pfname = genvarname(pfname, fields(pf.net));
    pf.net.(pfname) = makenet(how, prx);
    pf.net.(pfname).pfname = pfname;
end

end


