function coh = coherence(dis,data)
% coh = coherence(prx) - coherence of symmetric proximity matrix
% dis is the matrix
% data is a prx data structure with information about prx

diag = -1;
% if data.loops
%     diag = 0;
% end
if data.directed  % Make it symmetrical to compute coherence
    dis = min(dis,dis');
end

if max(dis(:)) == Inf
    try
        all = dis(dis < inf);
        all = sort(all);
        maxdis = all(end);
        all = all(all < maxdis);
        nextmax = all(end);
        increment = maxdis - nextmax;
        if isempty(increment)
            error('Max and nextmax failure');
        end
    catch
        maxdis = data.maxprx;
        increment = 1;
    end
    dis((dis == Inf)) = maxdis + increment;
end

dis(logical(eye(length(dis)))) = NaN;

indirect = corr(dis,'rows','pairwise');
indirect(isnan(indirect)) = 0;
dis = getlower(dis,diag);
indirect = getlower(indirect,diag);
coh = corr(dis,indirect,'rows','pairwise');
coh = -coh;  % data are distances which should correlate negatively with indirect
end

function v = getlower(m, diag)
%returns a vector containing the lower triangle of matrix m
%if varargin is 1 (default) the diagonal is not included
%if varargin is 0 the diagonal is included (see tril)
f = ones(size(m));
f = logical(tril(f,diag));
v = m(f);
end

