function [ncomps, comps] = components(adj)
% [ncomps comps] = components(links) 
% adj    | a square adjacency matrix with nonzero values indicating links
% comps  | a cell array with as many elements as connected components
%          each cell contains the node numbers of that component
% ncomps | the resulting number of connected components
% for directed nets, components are determined by links, not direction

n = length(adj);
adj = logical(adj);
adj = adj | adj';
nodesin = [];
nodeset = 1;
k = 0;
while ~isempty(nodeset)
    k = k +1;
    nodeset = nodeset(1);
    next = nodeset;
    while ~isempty(next)
        [~, col] = find(adj(nodeset,:));
        next = col(:)';
        next(ismember(next,nodeset)) = [];
        nodeset = [nodeset next];      %#ok<AGROW>         
        nodeset = unique(nodeset);
    end
    nodesin = [nodesin nodeset];                %#ok<AGROW>
    comps{k} = nodeset;                         %#ok<AGROW>
    nodeset = ~ismember(1:n,nodesin);
    nodeset = find(nodeset);
end
ncomps = length(comps);