function [mindis, tflinks] = floyd(dis,r)
% mindis = floyd(dis,r)
% dis    | dissimilarity matrix
% r      | value of the r parameter
% mindis | minimum distance between nodes
% tflinks| links in the PFnet(q=n-1,r) (adjacency matrix)
%(based on Floyd’s algorithm for finding shortest paths)

n = length(dis);
mindis = dis;

for ind = 1 : n
    for row = 1 : n
        for col = 1 : n
            % indirect = minkowski(mindis(row,ind), mindis(ind,col),r);
            indirect = norm([mindis(row,ind), mindis(ind,col)],r);
            if indirect < mindis(row,col)
                mindis(row, col) =  indirect;
            end
        end
    end
end

tflinks = (dis < Inf) & (abs(mindis - dis) < 1e-14);

end

