function handle = focus(nodenum,netname)
% handle = focus(nodenum,netname)
% extracts a subnet with nodes linked to nodenum
% and draws it
global pf

net = pf.net.(netname);
if isempty(net.nodes)
    net.nodes = numbernodes(net.nnodes);
end
focusnode = net.nodes{nodenum};
n = net.nnodes;
nlist = 1:n;
keep = false(1,n);
keep(nodenum) = true;
index = nodenum;
for k = 1:pf.pref.steps
    if length(index) > 1
        keep = keep | any(net.adj(index,:) | net.adj(:,index)');
    else
        keep = keep | net.adj(index,:) | net.adj(:,index)';
    end
    index = nlist(keep);
end
keep = nlist(keep);
if length(keep) < 2
    errordlg('No links.')
    return
end

savepositions = pf.pref.nodepositions;
pf.pref.nodepositions = 2; 'New layout';
net.adj = net.adj(keep,keep);
net.dis = net.dis(keep,keep);
net.linktypes = net.linktypes(keep,keep);
net.nlinks = nnz(net.adj);
net.nloops = nnz(diag(net.adj));

[net.ncomponents, net.components] = components(net.adj);
net.nnodes = length(keep);
if ~net.directed
    net.nlinks = net.nloops + (net.nlinks - net.nloops)/2;
end
net.links = getlinks(net);
net.nodes = net.nodes(keep);
net.pfname = genvarname(['focus_', netname, '_', focusnode], fieldnames(pf.net));
pf.net.(net.pfname) = net;
%*******************************************
[view, handle] = displaynet(net.pfname);
%*******************************************
fig = [focusnode ' focus: ' netname ' ' ...
    num2str(net.nnodes) ' nodes ' ...
    num2str(net.nlinks) ' links'];

set(handle,'NumberTitle', 'off',...
    'UserData', net.pfname,...
    'Name',     fig);

pf.net.(net.pfname).view = view;
pf.app.nodeListBox.Items = {};
pf.pref.nodepositions = savepositions;
end