function camera = getcamera(fig)
% camera = getcamera       : current figure
% camera = getcamera(fig)  : figure with handle fig
% returns a camera structure with the camera settings of fig
% returns empty structure if no figure is found 
camera = struct;
if nargin == 0
    fig = get(0,'CurrentFigure');
end    
if ishandle(fig)
    a = get(fig,'CurrentAxes');
    if ishandle(a)
        camera.handle = a;
        camera.pos = campos(a);
        camera.target = camtarget(a);
        camera.up = camup(a);
        camera.va = camva(a);
    end
end

