function coord = makecoord(net,dims)
% coord = makecoord(links,dims)
% uses spring or MDS to establish node coordinates

if string(net.type) == "mrg"
    dims = 2;
end

n = net.nnodes;
if dims == 2   % use spring
    links = net.adj;
    links = links | links';
    dis = floyd(adj2dis(links),1);
    dis(dis == inf) = min(n,4);
    coord = spring(dis);   % link structure layout
else  % use MDS
    dis = net.dis;  % use data distance for MDS
    warning off all
    if dims == 4     % 4 codes for MDS 2D
       dims = 2; 
    end
    try
         coord = mdscale(dis,dims,  'Criterion',    'sammon',...
            'Start',     'cmdscale');
    catch
        coord = mdscale(dis,dims,   'Criterion',    'stress',...
            'Start',    'random');
    end
    warning on all
    coord(:,1) = -coord(:,1); % for some unknown reason backwards x is best
    if dims == 2
        coord = [coord zeros(n,1)];
    end
end
coord = coord(:,1:3);
end