function net = mergenets(list)
global pf
id = 'mrg';
numnets = numel(list);
for k = 1:numnets
  net = pf.net.(list{k});
  linktypenames{k} = net.pfname; %#ok<AGROW>
  if k == 1
    adj = net.adj;
    linktypes = double(adj);
    n1 = net.nnodes;
    isDirected = net.directed;
  else  
    if net.nnodes ~= n1
      errordlg('Number of nodes do not match for merge');
      return 
    end
    isDirected = isDirected || net.directed;
    if numnets == 2
      adj = adj | net.adj;
      linktypes = linktypes + 2*double(net.adj);
    else
      adj = adj | net.adj;
      linktypes = linktypes + double(net.adj);
      linktypenames{k} = ['in' num2str(k)]; %#ok<AGROW>
    end
  end
  id = [id '_' net.pfname]; %#ok<AGROW>
end
net.directed = isDirected;
if numnets == 2
  linktypenames{3} = 'both';
else
  linktypenames{1} = 'in1';
end

net.adj = adj;
net.dis = max(max(linktypes)) - linktypes + 1;
net.linktypes = net.dis;
net.linktypenames = linktypenames(end:-1:1);
net.nlinks = nnz(net.adj);
net.nloops = nnz(diag(net.adj));
if ~net.directed
    net.nlinks = net.nloops + ((net.nlinks - net.nloops) / 2);
end
net.links = getlinks(net);
if numnets == 2
    net.links(net.links(:,3) == 3,3) = 2;
end

net.type = 'mrg';
net.name = 'merge';
net.pfname = id;
pf.pref.method = 'mrg';

end