function rdata = prxcorr(list)
global pf
rdata = [];
nc = numel(list);
warning off all
for k1 = 1:nc-1
  for k2 = k1+1:nc
%     disp([list{k1} ' ' list{k2}])
    rdata(end+1) = datacorr(pf.prx.(list{k1}),pf.prx.(list{k2})); %#ok<AGROW>
  end
end
warning on all
rdata = squareform(rdata);
rdata = forcediag(rdata, 1);
pf.prxcorr = rdata;
end

function r = datacorr(d1,d2)
% r = datacorr(prxstruct1,prxstruct2)
% correlation of two sets of proximities
n = d1.nnodes;
if d2.nnodes ~= n
    r = nan;
    return
end
sel = ones(n);
if ~(d1.directed || d2.directed)
    sel = triu(sel);
end
if ~(d1.loops && d2.loops)
    sel(logical(eye(n))) = 0;
end
sel = logical(sel);
dd1 = d1.dis(sel);
dd1(dd1 == inf) = nan;
dd2 = d2.dis(sel);
dd2(dd2 == inf) = nan;

% save bad d1 d2 dd1 dd2
r = corr(dd1(:),dd2(:),'rows','pairwise');
r = round(r, 4);
% r = corrcoef(dd1(:),dd2(:),'rows','pairwise');
% r = r(1,2);
end